Subject: Re: bug#41878: Handshake Error

From: Ludovic Courtès <[email-masked]>
Date: Mon, 15 Jun 2020 21:42:46 +0200

Hi,

Quinten Gruenthal <[email-masked]> skribis:

> |substitute: guix substitute: error: TLS error in procedure 'handshake':
> Error in the pull function.

[...]

> I've seen this kind of error before in other software and I believe it
> occurs when a handshake can't be performed in time and the connection is
> dropped; I was able to successfully pull a few minutes later under better
> conditions. That being said I bring this up because a problem in my network
> (I think) is being treated like an error in your program.

Yes, it looks like a connectivity issue, either on your side or on the
side of https://ci.guix.gnu.org (though I’m unaware of downtime today).

Could you try again?

Thanks,
Ludo’.